
/**
 * Stellt eine Blume im Rasen dar.
 * 
 * @author Klaus Reinold
 * @version 0.9
 */
class Blume extends Figur
{

    /**
     * Konstruktor für Objekte der Klasse Blume
     */
    Blume()
    {
        FigurteilFestlegenEllipse(-50, -50, 100, 100, "rot");
        GrößeSetzen(3);
        PositionSetzen(300, 300);
    }
    
    /**
     * Wird bei jedem Schritt des Mähroboters automatisch ausgeführt
     */
    @Override void AktionAusführen()
    {
        if(Berührt("cyan"))
        {
            Entfernen();
        }
    }
}
